# $Revision: 1.19 $, $Date: 2008/07/31 15:27:58 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	A Telepathy account manager
Summary(pl.UTF-8):	Zarządca kont Telepathy
Name:		telepathy-mission-control
Version:	4.67
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/mission-control/%{name}-%{version}.tar.gz
# Source0-md5:	0a547e7af4a33355bac3638dd2e40859
URL:		http://mission-control.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.61
%{?with_apidocs:BuildRequires:	gtk-doc-automake}
BuildRequires:	libtelepathy-devel >= 0.0.54
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An account manager for Telepathy.

%description -l pl.UTF-8
Zarządca kont dla Telepathy.

%package devel
Summary:	Header files for mission control library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mission control
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for mission control library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mission control.

%package static
Summary:	Static mission control library
Summary(pl.UTF-8):	Statyczna biblioteka mission control
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mission control library.

%description static -l pl.UTF-8
Statyczna biblioteka mission control.

%package apidocs
Summary:	mission control library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki mission control
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
mission control library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki mission control.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/mission-control
install -d $RPM_BUILD_ROOT%{_datadir}/mission-control/profiles

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# this needs to be a file
if [ -d %{_libexecdir}/mission-control ]; then
	rm -rf %{_libexecdir}/mission-control
fi

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/mc-account
%attr(755,root,root) %{_libexecdir}/mission-control
%attr(755,root,root) %{_libdir}/libmcclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmcclient.so.5
%attr(755,root,root) %{_libdir}/libmissioncontrol-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmissioncontrol-client.so.0
%attr(755,root,root) %{_libdir}/libmissioncontrol-server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmissioncontrol-server.so.1
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl.service
%dir %{_datadir}/mission-control
%dir %{_datadir}/mission-control/profiles


%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcclient.so
%attr(755,root,root) %{_libdir}/libmissioncontrol-client.so
%attr(755,root,root) %{_libdir}/libmissioncontrol-server.so
%{_libdir}/libmcclient.la
%{_libdir}/libmissioncontrol-client.la
%{_libdir}/libmissioncontrol-server.la
%dir %{_includedir}/libmcclient/_gen
%{_includedir}/libmcclient/_gen/*.h
%dir %{_includedir}/libmcclient/
%{_includedir}/libmcclient/*.h
%dir %{_includedir}/libmissioncontrol
%{_includedir}/libmissioncontrol/*.h
%dir %{_includedir}/libmissioncontrol/_gen
%{_includedir}/libmissioncontrol/_gen/*.h
%dir %{_includedir}/mission-control
%{_includedir}/mission-control/*.h
%dir %{_includedir}/mission-control/_gen/
%{_includedir}/mission-control/_gen/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmcclient.a
%{_libdir}/libmissioncontrol-client.a
%{_libdir}/libmissioncontrol-server.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmissioncontrol
%{_gtkdocdir}/libmissioncontrol-server
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-mission-control.spec,v $
Revision 1.19  2008/07/31 15:27:58  patrys
- 4.67

Revision 1.18  2008-04-05 19:49:42  qboosh
- unified

Revision 1.17  2008-04-05 05:06:45  aredridel
- 4.64

Revision 1.16  2008-01-23 18:14:05  qboosh
- don't leave unusable empty dir or junk dir of unusable orphaned files - just rm -rf

Revision 1.15  2008-01-17 02:11:14  aredridel
- 4.55

Revision 1.14  2008-01-14 16:48:20  patrys
- dir -> file changed
- rel 2

Revision 1.13  2008-01-14 16:43:32  patrys
- 4.54

Revision 1.12  2007-12-20 02:53:30  patrys
- 4.51

Revision 1.11  2007-10-27 18:28:53  megabajt
- updated to 4.49
- more verbose files

Revision 1.10  2007/08/13 14:01:04  patrys
- 4.33

Revision 1.9  2007/07/28 07:57:12  megabajt
- updated to 4.30

Revision 1.8  2007/06/19 13:01:44  megabajt
- updated to 4.26

Revision 1.7  2007/06/17 20:48:36  megabajt
- updated to 4.25

Revision 1.6  2007/06/10 15:37:39  megabajt
- updated to 4.23
- added apidocs bcond and subpackage

Revision 1.5  2007/05/25 18:01:44  qboosh
- pl

Revision 1.4  2007/05/24 01:30:42  aredridel
- added missing dirs for profiles

Revision 1.3  2007/05/20 18:25:40  agaran
- missing BRs

Revision 1.2  2007/05/20 17:30:24  patrys
- BR: libtelepathy-devel

Revision 1.1  2007/05/15 04:33:07  aredridel
- added
